#### TeeTime

![Pipelining](images/carousel1.png)

Implement your analysis or filters in a new, easy, and fast way.

#### Automatic Thread Management

![Pipelining](images/carousel2.png)

Data exchange between stages is automatically synchronized on demand. 

#### Start today

![Screenshot](images/carousel3.png)

Predefined stages are provided within the source code. You can immediatly start to write your own analysis.

---


## What is it?

TeeTime is a Pipe-and-Filter Framework for Java.

It provides support for the *modeling* and the *execution* of P&F architectures.
In particular, it features...

- many primitive and composite ready-to-use stages

- a type-safe way to develop and connect stages

- no(!) single-threaded overhead

- only a minimal multi-threaded overhead

- threads can be assigned to stages arbitrarily

- and many more...

## Where to get it?

You can get TeeTime through various ways. If your projects uses Maven, just add following dependency to your ``pom.xml``:

```xml
<dependency>
  <groupId>net.sourceforge.teetime</groupId>
  <artifactId>teetime</artifactId>
  <version>${teetime.stableversion}</version>
</dependency>
```

To get the source code or the plain jar, take a look at the [download](download.html) section.

## How to use it?

To make working with TeeTime as pleasant and efficient as possible, this homepage provides various tools for you, which explain TeeTime's functions.

You can take a closer look at:

- [TeeTime's Wiki](wiki/home.html), or 

- [API Documentation](stabledocs/index.html). 

	 